#### Description:

The Ellipse class implements a Region which represents a ellipse within a 2-dimensional Frame.

#### Constructor Function

astEllipse

#### Inheritance

The Ellipse class inherits from the Region class.

#### Attributes

The Ellipse class does not define any new attributes beyond those which are applicable to all Regions.

#### Functions

In addition to those functions applicable to all Regions, the following functions may also be applied to all Ellipses:

- astEllipsePars: Get the geometric parameters of the Ellipse

Copyright (C) 2021 East Asian Observatory